GNUmakefile
author Chris Manchester <cmanchester@mozilla.com>
Wed, 17 Aug 2016 15:02:31 -0700
changeset 351327 c0e6aae0b93dc05c08f909d809ad78a96944beeb
parent 255922 07479758ab6870988d3165990e8d4b468628aeba
permissions -rw-r--r--
Bug 1294803 - Move MOZ_SYSTEM_FFI to moz.configure in preparation for moving libffi to our build system. r=glandium This patch introduces a small change in behavior: we now unconditionally require libffi > 3.0.9 when using system ffi, rather than accepting 3.0.9 when using GCC, as 3.0.10 was released 5 years ago, and should be widely available. MozReview-Commit-ID: DtSDPoZSPcx

# This Makefile is used as a shim to aid people with muscle memory
# so that they can type "make".
#
# This file and all of its targets should not be used by anything important.

all: build

build:
	./mach build

clean:
	./mach clobber

.PHONY: all build clean